petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCGetDiagonalScale

Indicates if the preconditioner applies an additional left and right scaling as needed by certain time-stepping codes.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGetDiagonalScale(PC pc,PetscBool  *flag)

Logically Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

flag -PETSC_TRUE if it applies the scaling

### Notes

If this returns PETSC_TRUE then the system solved via the Krylov method is

              D M A D^{-1} y = D M b  for left preconditioning or

              D A M D^{-1} z = D b for right preconditioning

### See Also

PCCreate(), PCSetUp(), PCDiagonalScaleLeft(), PCDiagonalScaleRight(), PCSetDiagonalScale()

### Level

developer

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages